#pragma once
#include "Deer/Application.h"

namespace Deer {
	class Event;

	class EditorPanel {
	public:
		virtual ~EditorPanel() = default;
		virtual void onRender(Timestep timestep) { }
		virtual void onEventCallback(Event& e) { }
		virtual void onImGui() { }
	};
}

